Loading...
Searching...
No Matches
Halide::Internal::StubInput Class Reference

`#include <Generator.h>`

## Public Member Functions

template<typename T2>
| StubInput (const StubInputBuffer< T2 > &b)
| StubInput (const Parameter &p)
| StubInput (const Func &f)
| StubInput (const Expr &e)
ArgInfoKind | kind () const
Parameter | parameter () const
Func | func () const
Expr | expr () const

## Detailed Description

Definition at line 1382 of file Generator.h.

## Constructor & Destructor Documentation

## StubInput() [1/4]

template<typename T2>

Halide::Internal::StubInput::StubInput | ( | const StubInputBuffer< T2 > & | b | ) |

inline

Definition at line 1392 of file Generator.h.

## StubInput() [2/4]

Halide::Internal::StubInput::StubInput | ( | const Parameter & | p | ) |

inline

Definition at line 1395 of file Generator.h.

## StubInput() [3/4]

Halide::Internal::StubInput::StubInput | ( | const Func & | f | ) |

inline

Definition at line 1398 of file Generator.h.

## StubInput() [4/4]

Halide::Internal::StubInput::StubInput | ( | const Expr & | e | ) |

inline

Definition at line 1401 of file Generator.h.

## Member Function Documentation

## kind()

ArgInfoKind Halide::Internal::StubInput::kind | ( |  | ) | const

inline

Definition at line 1405 of file Generator.h.

## parameter()

Parameter Halide::Internal::StubInput::parameter | ( |  | ) | const

inline

Definition at line 1409 of file Generator.h.

References Halide::Internal::Buffer, and internal_assert.

## func()

Func Halide::Internal::StubInput::func | ( |  | ) | const

inline

Definition at line 1414 of file Generator.h.

References Halide::Internal::Function, and internal_assert.

## expr()

Expr Halide::Internal::StubInput::expr | ( |  | ) | const

inline

Definition at line 1419 of file Generator.h.

References internal_assert, and Halide::Internal::Scalar.

The documentation for this class was generated from the following file:

- src/Generator.h